
package de.ivu.elect.presentation.system.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.ThreadDumpView;

public class ThreadDumpMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.THREAD_DUMP_SEARCH);
  }

  @Override
  public String getLabelKey() {
    return "thread.dump.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return ThreadDumpView.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconMicrochip();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

}
